Dados cadastrais
curl --request POST \
--url https://lawsuits.production.judit.io/entities \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"search": {
"search_type": "cpf",
"search_key": "string"
}
}
'import requests
url = "https://lawsuits.production.judit.io/entities"
payload = { "search": {
"search_type": "cpf",
"search_key": "string"
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({search: {search_type: 'cpf', search_key: 'string'}})
};
fetch('https://lawsuits.production.judit.io/entities', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"request_id": "<string>",
"response_data": [
{
"name": "<string>",
"partners": "<unknown>",
"entity_id": "<string>",
"social_name": "<string>",
"main_document": "<string>",
"documents": [],
"addresses": [],
"contacts": [],
"aka_names": [],
"parents": [],
"birth_date": "2023-11-07T05:31:56Z",
"place_of_birth": "<string>",
"nationality": "<string>",
"regime": "<string>",
"ethnicity": "<string>",
"tags": {},
"latest_searches": [],
"legal_nature": {
"code": "<string>",
"name": "<string>",
"active": true
},
"head_office": true,
"branch_activities": [],
"position": "<string>",
"profession": "<string>",
"size": "<string>",
"is_public": true,
"closing_date": "2023-11-07T05:31:56Z",
"disabled_person": true,
"deficiency": "<string>",
"revenue_service_updated_at": "2023-11-07T05:31:56Z",
"revenue_service_active": true,
"revenue_service_status": "<string>",
"share_capital": 123,
"special_status": "<string>",
"special_status_date": "2023-11-07T05:31:56Z",
"responsible_qualification_id": "<string>",
"age_group": "<string>",
"pep": [],
"entry_date": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"associated_people": "<unknown>"
}
]
}{
"error": {
"name": "HttpUnauthorizedError",
"message": "UNAUTHORIZED",
"stack": "<string>",
"data": "User must be authenticated"
}
}{
"error": {
"name": "HttpForbiddenError",
"message": "FORBIDDEN",
"stack": "<string>",
"data": "Authenticated user is not authorized"
}
}{
"error": {
"name": "HttpInternalServerError",
"message": "INTERNAL_SERVER_ERROR",
"stack": "<string>",
"data": {
"message": "Database connection failed"
}
}
}Lawsuits · Registration Data
Create a registration data request
This endpoint queries registration data by CPF, CNPJ, name, or RJI.
POST
/
entities
Dados cadastrais
Was this page helpful?
⌘I